Package org.flowable.cmmn.model

# Class HumanTask

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.CmmnElement
org.flowable.cmmn.model.CaseElement
org.flowable.cmmn.model.PlanItemDefinition
org.flowable.cmmn.model.Task
org.flowable.cmmn.model.HumanTask

All Implemented Interfaces:
  `HasExtensionAttributes`, `HasLifecycleListeners`, `HasValidateFormFields`

public class HumanTask extends Task implements HasValidateFormFields

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `assignee`
  `protected List<String>`
  `candidateGroups`
  `protected List<String>`
  `candidateUsers`
  `protected String`
  `category`
  `protected String`
  `dueDate`
  `protected String`
  `formKey`
  `protected String`
  `owner`
  `protected String`
  `priority`
  `protected boolean`
  `sameDeployment`
  `protected String`
  `taskCompleterVariableName`
  `protected String`
  `taskIdVariableName`
  `protected List<FlowableListener>`
  `taskListeners`
  `protected String`
  `validateFormFields`

  ### Fields inherited from class org.flowable.cmmn.model.Task

  `async, asyncLeave, asyncLeaveExclusive, blocking, blockingExpression, exclusive`

  ### Fields inherited from class org.flowable.cmmn.model.PlanItemDefinition

  `defaultControl, lifecycleListeners, planItemRef`

  ### Fields inherited from class org.flowable.cmmn.model.CaseElement

  `name, parent`

  ### Fields inherited from class org.flowable.cmmn.model.CmmnElement

  `documentation, documentationTextFormat`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HumanTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HumanTask`
  `clone()`
  `String`
  `getAssignee()`
  `List<String>`
  `getCandidateGroups()`
  `List<String>`
  `getCandidateUsers()`
  `String`
  `getCategory()`
  `String`
  `getDueDate()`
  `String`
  `getFormKey()`
  `String`
  `getOwner()`
  `String`
  `getPriority()`
  `String`
  `getTaskCompleterVariableName()`
  `String`
  `getTaskIdVariableName()`
  `List<FlowableListener>`
  `getTaskListeners()`
  `String`
  `getValidateFormFields()`
  `boolean`
  `isSameDeployment()`
  `void`
  `setAssignee(String assignee)`
  `void`
  `setCandidateGroups(List<String> candidateGroups)`
  `void`
  `setCandidateUsers(List<String> candidateUsers)`
  `void`
  `setCategory(String category)`
  `void`
  `setDueDate(String dueDate)`
  `void`
  `setFormKey(String formKey)`
  `void`
  `setOwner(String owner)`
  `void`
  `setPriority(String priority)`
  `void`
  `setSameDeployment(boolean sameDeployment)`
  `void`
  `setTaskCompleterVariableName(String taskCompleterVariableName)`
  `void`
  `setTaskIdVariableName(String taskIdVariableName)`
  `void`
  `setTaskListeners(List<FlowableListener> taskListeners)`
  `void`
  `setValidateFormFields(String validateFormFields)`
  `void`
  `setValues(HumanTask otherElement)`

  ### Methods inherited from class org.flowable.cmmn.model.Task

  `getBlockingExpression, isAsync, isAsyncLeave, isAsyncLeaveExclusive, isBlocking, isExclusive, setAsync, setAsyncLeave, setAsyncLeaveExclusive, setBlocking, setBlockingExpression, setExclusive, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.PlanItemDefinition

  `getDefaultControl, getLifecycleListeners, getPlanItemRef, setDefaultControl, setLifecycleListeners, setPlanItemRef, setValues, toString`

  ### Methods inherited from class org.flowable.cmmn.model.CaseElement

  `getName, getParent, getParentStage, setName, setParent`

  ### Methods inherited from class org.flowable.cmmn.model.CmmnElement

  `getDocumentation, getDocumentationTextFormat, setDocumentation, setDocumentationTextFormat, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### assignee

    protected String assignee

  - ### owner

    protected String owner

  - ### priority

    protected String priority

  - ### formKey

    protected String formKey

  - ### sameDeployment

    protected boolean sameDeployment

  - ### validateFormFields

    protected String validateFormFields

  - ### dueDate

    protected String dueDate

  - ### category

    protected String category

  - ### taskIdVariableName

    protected String taskIdVariableName

  - ### taskCompleterVariableName

    protected String taskCompleterVariableName

  - ### candidateUsers

    protected List<String> candidateUsers

  - ### candidateGroups

    protected List<String> candidateGroups

  - ### taskListeners

    protected List<FlowableListener> taskListeners

- ## Constructor Details

  - ### HumanTask

    public HumanTask()

- ## Method Details

  - ### getAssignee

    public String getAssignee()

  - ### setAssignee

    public void setAssignee(String assignee)

  - ### getOwner

    public String getOwner()

  - ### setOwner

    public void setOwner(String owner)

  - ### getPriority

    public String getPriority()

  - ### setPriority

    public void setPriority(String priority)

  - ### getFormKey

    public String getFormKey()

  - ### setFormKey

    public void setFormKey(String formKey)

  - ### isSameDeployment

    public boolean isSameDeployment()

  - ### setSameDeployment

    public void setSameDeployment(boolean sameDeployment)

  - ### getValidateFormFields

    public String getValidateFormFields()
    Specified by:
      `getValidateFormFields` in interface `HasValidateFormFields`

  - ### setValidateFormFields

    public void setValidateFormFields(String validateFormFields)
    Specified by:
      `setValidateFormFields` in interface `HasValidateFormFields`

  - ### getDueDate

    public String getDueDate()

  - ### setDueDate

    public void setDueDate(String dueDate)

  - ### getCategory

    public String getCategory()

  - ### setCategory

    public void setCategory(String category)

  - ### getTaskIdVariableName

    public String getTaskIdVariableName()

  - ### setTaskIdVariableName

    public void setTaskIdVariableName(String taskIdVariableName)

  - ### getTaskCompleterVariableName

    public String getTaskCompleterVariableName()

  - ### setTaskCompleterVariableName

    public void setTaskCompleterVariableName(String taskCompleterVariableName)

  - ### getCandidateUsers

    public List<String> getCandidateUsers()

  - ### setCandidateUsers

    public void setCandidateUsers(List<String> candidateUsers)

  - ### getCandidateGroups

    public List<String> getCandidateGroups()

  - ### setCandidateGroups

    public void setCandidateGroups(List<String> candidateGroups)

  - ### getTaskListeners

    public List<FlowableListener> getTaskListeners()

  - ### setTaskListeners

    public void setTaskListeners(List<FlowableListener> taskListeners)

  - ### clone

    public HumanTask clone()
    Overrides:
      `clone` in class `Object`

  - ### setValues

    public void setValues(HumanTask otherElement)